Package org.jfree.layouting.layouter.context

## Interface PageContext

- All Known Implementing Classes:
    `DefaultPageContext`

      public interface PageContext

  The page context describes a logical page. The page holds the first and the last value of each counter and string. It also grants access to the global pseudo-page definitions. (Note: This is unclear and unclean and thus not yet implemented. Later it will be, of course...)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `LayoutStyle` | `getAreaDefinition​(PageAreaType name)` |
    `LayoutStyle` | `getStyle​()` |
    `boolean` | `isPseudoPage​(PseudoPage page)` | Returns true, if the given PseudoPage identifier matches the current page state.

- - ### Method Detail

    - #### getAreaDefinition

          LayoutStyle getAreaDefinition​(PageAreaType name)

    - #### isPseudoPage

          boolean isPseudoPage​(PseudoPage page)

      Returns true, if the given PseudoPage identifier matches the current page state.
      Returns:
        true, if the pseudopage matches, false otherwise.

    - #### getStyle

          LayoutStyle getStyle​()